List HAWBs
curl --request GET \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": true,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:31:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}
RTO
List HAWBs
Paginated list of house air waybills for a shipment.
GET
/
v1
/
shipments
/
{id}
/
hawbs
List HAWBs
List HAWBs for a shipment. Deactivated HAWBs are hidden unless
includeInactive=true.
Path Parameters
string
required
Shipment Public ID (
shp_…).Query Parameters
integer
default:"1"
Page number (minimum
1).integer
default:"20"
Page size (minimum
1, maximum 100).boolean
default:"false"
Include deactivated HAWBs when
true.{
"data": [
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": true,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:31:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}